Debian Bug report logs - #229761
kbd-chooser: jp106 and others doesn't work

version graph

Package: kbd-chooser; Maintainer for kbd-chooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for kbd-chooser is src:kbd-chooser.

Reported by: Kenshi Muto <kmuto@debian.org>

Date: Mon, 26 Jan 2004 13:18:01 UTC

Severity: important

Found in version 0.39

Fixed in version kbd-chooser/0.41

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
New Bug report received and forwarded. Copy sent to Kenshi Muto <kmuto@debian.org>, Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kbd-chooser: jp106 and others doesn't work
Date: Mon, 26 Jan 2004 22:14:16 +0900 (JST)
Package: kbd-chooser
Severity: important
Version: 0.39

I challenged sarge installer (sid image, 20040125) and found
kbd-chooser doesn't work if I choice "Japanese (106 key)".
This is independent from country setting.

I tried others (here doesn't cover all setting).

OK:
German (no deadkeys)
Icelandic
Italian
Norwegian
Portuguese
Ukranian

BAD:
Lithuanian
Latvian
Japanese (106 key)
Macedonian
Dutch

It's strange.
And I found USB keyboad list shows only few settings.
There is Japanese USB keyboard in the real world, but list doesn't
include this.

Thanks,
-- 
Kenshi Muto
kmuto@debian.org

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to mckinstry@computer.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 229761@bugs.debian.org (full text, mbox):

From: "Alastair McKinstry" <mckinstry@computer.org>
To: 229761-submitter@bugs.debian.org
Cc: 229761@bugs.debian.org
Subject: #229761: Bad keymaps in installer
Date: Wed, 28 Jan 2004 11:39:19 GMT
Hi,

Thanks for testing the keyboards in debian-installer.

In what way do you believe these keymaps are bad?

Lithuanian
Latvian
Japanese (106 key)
Macedonian
Dutch

Is this in the install stage, or later? If so, which kernel, etc. did you use?


Thanks,
Alastair McKinstry



Message sent on to Kenshi Muto <kmuto@debian.org>:
Bug#229761. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 229761@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: "Alastair McKinstry" <mckinstry@computer.org>
Cc: 229761@bugs.debian.org
Subject: Re: Bug#229761: #229761: Bad keymaps in installer
Date: Wed, 28 Jan 2004 21:13:58 +0900
At Wed, 28 Jan 2004 11:39:19 GMT,
Alastair McKinstry wrote:
> In what way do you believe these keymaps are bad?
> 
> Lithuanian
> Latvian
> Japanese (106 key)
> Macedonian
> Dutch
> 
> Is this in the install stage, or later? If so, which kernel, etc. did you use?

install stage.

1. Choose language
2. Choose keymap
3. When I choose "Japanese" for keymap, something wrong happen.
   Installer backs menu and is set "Select a keyboard layout".
   I tried again, but same happen.

   Virtual terminal 4 only repeats "tail /var/log/syslog: No such file or
   directory"

Thanks,
-- 
Kenshi Muto
kmuto@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 229761@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: "Alastair McKinstry" <mckinstry@computer.org>, 229761@bugs.debian.org
Subject: Re: Bug#229761: #229761: Bad keymaps in installer
Date: Thu, 29 Jan 2004 22:56:06 +0900
I tried today's CVS and got some more informational messages.

At Wed, 28 Jan 2004 21:13:58 +0900,
Kenshi Muto wrote:
> At Wed, 28 Jan 2004 11:39:19 GMT,
> Alastair McKinstry wrote:
> > Is this in the install stage, or later? If so, which kernel, etc. did you use?
> 
> install stage.
> 
> 1. Choose language
> 2. Choose keymap
> 3. When I choose "Japanese" for keymap, something wrong happen.
>    Installer backs menu and is set "Select a keyboard layout".
>    I tried again, but same happen.
> 
>    Virtual terminal 4 only repeats "tail /var/log/syslog: No such file or
>    directory"

From Today's CVS:

DEBUG: configure console-keymaps, status: 0
DEBUG: virtual package console-keymaps
INFO: Setting debian-installer/serial-console to 0
INFO: Setting debian-installer/serial-console to 0
INFO: choose_keymap: keymap = jp106
INFO: kbd_chooser: setting keymap jp106
ERROR: **: kbd_chooser: KDSKBENT: Invalid argument
WARNING **: Configuring 'kbd-chooser' failed with error code 1
WARNING **: Menu item 'kbd-chooser' failed.

Is this helpful information for you?
-- 
Kenshi Muto
kmuto@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 229761@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: 229761@bugs.debian.org
Subject: Re: Bug#229761: #229761: Bad keymaps in installer
Date: Sat, 07 Feb 2004 18:32:38 +0900
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

At Thu, 29 Jan 2004 22:56:06 +0900,
Kenshi Muto wrote:
> DEBUG: configure console-keymaps, status: 0
> DEBUG: virtual package console-keymaps
> INFO: Setting debian-installer/serial-console to 0
> INFO: Setting debian-installer/serial-console to 0
> INFO: choose_keymap: keymap = jp106
> INFO: kbd_chooser: setting keymap jp106
> ERROR: **: kbd_chooser: KDSKBENT: Invalid argument
> WARNING **: Configuring 'kbd-chooser' failed with error code 1
> WARNING **: Menu item 'kbd-chooser' failed.

I found what's the problem about JP keyboard.
jp106 uses keycode 181 and 183, but kbd-chooser only support under 128.

And I checked another AT keymaps:

bg.kmap, br-abnt2.kmap, br-latin1.kmap, cf.kmap, cz-lat2.kmap,
dk-latin1.kmap, es.kmap, fi-latin1.kmap, gr.kmap, hebrew.kmap,
is-latin1.kmap, it.kmap, la-latin1.kmap, lk201.kmap, nl.kmap,
no-latin1.kmap, pl.kmap, pt-latin1.kmap, ro.kmap, ru.kmap,
se-latin1.kmap, sk-qwerty.kmap, sr-cy.kmap, trq.kmap, ua.kmap,
uk.kmap, us.kmap

lv-latin4.kmap:
  WARNING **::assuming iso-8859-15 scaron
  WARNING **::assuming iso-8859-15 Scaron
  WARNING **::assuming iso-8859-15 zcaron
  WARNING **::assuming iso-8859-15 Zcaron
  WARNING **::assuming iso-8859-15 ccaron
  WARNING **::assuming iso-8859-15 Ccaron

mk.kmap:
  ERROR **::kbd-chooser: warning: this map uses Unicode symbols

Thanks,
- -- 
Kenshi Muto
kmuto@debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAkAksKwACgkQQKW+7XLQPLHdWACfTw5JnxgyzQzj9PvHXV5EWfsl
dGAAoKJWpvEKQzN80tBuNRVPkYRmFLur
=qtkH
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to postmaster@post.tomica.ru:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 229761@bugs.debian.org (full text, mbox):

From: postmaster@post.tomica.ru
To: "User" <tferpm.ubigztm@confidence.com>
Subject: New Microsoft Security Update
Date: Mon, 9 Feb 2004 10:45:11 +0600 (NOVT)
Message sent from <tzrosbt@post.tomica.ru>
infected by virus and has not been delivered.
Viruses:
infected with Win32.HLLM.Gibe.2

Original message was stored in the archive.
To receive original message please contact postmaster:
postmaster@post.tomica.ru

Archive record: archive.msg.cSe3et
	Antivirus service provided by Dr.Web Daemon (www.sald.com)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to postmaster@post.tomica.ru:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 229761@bugs.debian.org (full text, mbox):

From: postmaster@post.tomica.ru
To: "Network User" <client@emaildomain.com>
Subject: notice
Date: Mon, 9 Feb 2004 10:47:18 +0600 (NOVT)
Message sent from <tzrosbt@post.tomica.ru>
infected by virus and has not been delivered.
Viruses:
infected with Win32.HLLM.Gibe.2

Original message was stored in the archive.
To receive original message please contact postmaster:
postmaster@post.tomica.ru

Archive record: archive.msg.dbzWVT
	Antivirus service provided by Dr.Web Daemon (www.sald.com)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229761; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to postmaster@post.tomica.ru:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 229761@bugs.debian.org (full text, mbox):

From: postmaster@post.tomica.ru
To: "Inet Receiver" <client@mailserver.com>
Subject: Error Announcement
Date: Thu, 12 Feb 2004 10:00:21 +0600 (NOVT)
Message sent from <tzrosbt@post.tomica.ru>
infected by virus and has not been delivered.
Viruses:
infected with Win32.HLLM.Gibe.2

Original message was stored in the archive.
To receive original message please contact postmaster:
postmaster@post.tomica.ru

Archive record: archive.msg.ZDAAAb
	Antivirus service provided by Dr.Web Daemon (www.sald.com)



Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kenshi Muto <kmuto@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 229761-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 229761-close@bugs.debian.org
Subject: Bug#229761: fixed in kbd-chooser 0.41
Date: Wed, 18 Feb 2004 02:02:05 -0500
Source: kbd-chooser
Source-Version: 0.41

We believe that the bug you reported is fixed in the latest version of
kbd-chooser, which is due to be installed in the Debian FTP archive:

kbd-chooser_0.41.dsc
  to pool/main/k/kbd-chooser/kbd-chooser_0.41.dsc
kbd-chooser_0.41.tar.gz
  to pool/main/k/kbd-chooser/kbd-chooser_0.41.tar.gz
kbd-chooser_0.41_i386.udeb
  to pool/main/k/kbd-chooser/kbd-chooser_0.41_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 229761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated kbd-chooser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Feb 2004 06:52:30 +0000
Source: kbd-chooser
Binary: kbd-chooser
Architecture: source i386
Version: 0.41
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 kbd-chooser - Detect a keyboard and select layout (udeb)
Closes: 220137 227852 229761
Changes: 
 kbd-chooser (0.41) unstable; urgency=low
 .
   * Jeff Bailey
     - Applied patches for sun keyboard map.  (Closes: #227852)
       (Thanks to Thomas Poindessous <thomas@poindessous.com>)
   * Eugen Meshcheryakov : added Ukrainian translation (uk.po)
   * Alastair McKinstry
     - usb-kbd.c: Autodetect USB keyboard using devices file. Closes: #220137.
     - Ignore keys that are invalid for 2.4 kernels. Closes: #229761.
Files: 
 ca8b46d477e8fc5a1ccec558a0bb7ef2 713 debian-installer standard kbd-chooser_0.41.dsc
 aee97b58e8f697a3cb9a6e1f3a5800c4 55054 debian-installer standard kbd-chooser_0.41.tar.gz
 d99acb2b42bc9f855db4a4e5b088abb6 30214 debian-installer standard kbd-chooser_0.41_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAMw3tQTK/kCo4XFcRAj/0AJ9cna6F4xKJkBGNrjH8hOFKZGEmXQCfagGI
Btk/2b78u0fYOrGHX0CkpNw=
=7AHL
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:39:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.